function Create(self)
	self.bloatFrames = 300;
	self.bloatFactor = 1.5;
	self.bloatIncrement = self.bloatFactor/self.bloatFrames;
	for actor in MovableMan.Actors do
		if actor:HasObject("Check Particle Bloat") and actor.PresetName ~= "Reflective Robot MK-II" and actor:HasObjectInGroup("Craft") == false then
			if actor.Scale < self.bloatFactor then
				for i=1,MovableMan:GetMOIDCount()-1 do
					local mo = MovableMan:GetMOFromID(i);
					if mo.RootID == actor.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
						mo.Scale = mo.Scale + self.bloatIncrement;
					end
				end
			elseif actor.Scale >= self.bloatFactor then
				self.deathPuff = CreateAEmitter("Bloating Gas Puff");
				self.deathPuff.Pos = actor.Pos;
				MovableMan:AddParticle(self.deathPuff);
				for i=1,MovableMan:GetMOIDCount()-1 do
					local mo = MovableMan:GetMOFromID(i);
					if mo.RootID == actor.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
						ToMOSRotating(mo):GibThis();
					end
				end
			end
		end
	end
end

function Update(self)
	self.Age = 1;
	self.Mass = self.Mass + 0.000001
	for particle in MovableMan.Particles do
		if particle.PresetName == "Scripty Particle Bloat" then
			if particle.Mass < self.Mass then
				particle.ToDelete = true;
			elseif particle.Mass == self.Mass and self.ID > particle.ID then
				particle.ToDelete = true;
			end
		end
	end
	for actor in MovableMan.Actors do
		if actor:HasObject("Check Particle Bloat") and actor.PresetName ~= "Reflective Robot MK-II" and actor:HasObjectInGroup("Craft") == false then
			if actor.Scale < self.bloatFactor then
				for i=1,MovableMan:GetMOIDCount()-1 do
					local mo = MovableMan:GetMOFromID(i);
					if mo.RootID == actor.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
						mo.Scale = mo.Scale + self.bloatIncrement;
					end
				end
			elseif actor.Scale >= self.bloatFactor then
				self.deathPuff = CreateAEmitter("Bloating Gas Puff");
				self.deathPuff.Pos = actor.Pos;
				MovableMan:AddParticle(self.deathPuff);
				for i=1,MovableMan:GetMOIDCount()-1 do
					local mo = MovableMan:GetMOFromID(i);
					if mo.RootID == actor.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
						ToMOSRotating(mo):GibThis();
					end
				end
			end
		end
	end
end